function y = fttrap2(a,m,n)
%FTTRAP2     Produces the vector
%	                  MN
%	    y_pq = (1/MN)  sum  [a_q * exp(-2*pi*(p+1-n)*(p-1)/m)][a_q *
%	                                         exp(-2*pi*(p+1-n)*(q-1)/m)]
%	                 qp = 1
%	    if m = length(a) is even. For m odd, the limits of summation are 
%	    -(m-1)/2 and (m-1)/2
%	    Composite trapezium rule approximation to Fourier transform 
%	    coefficents

q = max(size(a));
p = 1./(q^2);
if 2*n+1 > q, 
    error('length of vector must be greater than 2*(second argument) + 1'), 
    return, 
end;

v1 = 1:n+1;
v2 = q-n+1:q;

c = p*fft2(a);


ytemp = [c(:,v2) c(:,v1)];

y = [ytemp(v2,:); ytemp(v1,:)];