function y = ifttrap2(a,m,n)
%IFTTRAP2        Produces the vector
%		     2*n+1
%		y_p = sum a_q * exp(i*2*pi*(q-n-1)*(p-1)/m)
%		      q=1
%		where length(a) = 2n + 1 and length(y) = m
%		Approximation to Fourier series

q = max(size(a));

if q/2 == round(q/2), 
    error('length of vector must be odd'), return, 
end

if q > max(m,n),
    error('second argument must be greater than or equal to the length of the vector'), 
    return, 
end

p  = (q-1)/2;
v1 = p+1:q;
v2 = 1:p;

ctemp = [a(:,v1) zeros(q,m-q) a(:,v2)];
c     = [ctemp(v1,:); zeros(m-q,m); ctemp(v2,:)];

y = m^2*ifft2(c);

